
public class Triple {

    Node a,b,c;
    int type;
    
    public Triple(Node a, Node b, Node c,int i){
	this.a = a;
	this.b = b;
	this.c = c;
	type = i;
    }

    public static boolean sameSpeciesBug(Triple X,Triple Y){
	return ((X.a.getSpeciesNo() == Y.a.getSpeciesNo() 
		 || X.a.getSpeciesNo() == Y.b.getSpeciesNo() 
		 || X.a.getSpeciesNo() == Y.c.getSpeciesNo()) &&
		(X.b.getSpeciesNo() == Y.a.getSpeciesNo() 
		 || X.b.getSpeciesNo() == Y.b.getSpeciesNo() 
		 || X.b.getSpeciesNo() == Y.c.getSpeciesNo()) &&
		(X.c.getSpeciesNo() == Y.a.getSpeciesNo() 
		 || X.c.getSpeciesNo() == Y.b.getSpeciesNo() 
		 || X.c.getSpeciesNo() == Y.c.getSpeciesNo()) &&
		X.type != Y.type);	
	    }

    public String toString(){
	return a.getSpecies() + " " + b.getSpecies() + " " + c.getSpecies() + " " + type;
    }
}
